*************************************************************
* simple bubble sort

      SUBROUTINE sortbis(ns,s)
      IMPLICIT NONE
      INCLUDE 'general.h'

* input/output      
      INTEGER    ns
      CHARACTER(LEN=lco) s(ns)
* internal
      CHARACTER(LEN=lco) store
      INTEGER i,j

      print*,"*sortbis*",ns

20    i=1
30    j=i+1
      IF (s(i).LE.s(j)) GO TO 10
      store = s(j)  
      s(j)  = s(i)
      s(i)  = store
      i     = i-1
      IF (i.EQ.0) GO TO 20
      GO TO 30
10    IF (j.EQ.ns) GO TO 40
      i = i + 1
      GO TO 30
40    CONTINUE    

      RETURN
      END
